List Bank Billet Deposit Batch Validation Errors
GETTag: api-baas-get-banking-billet-pix-deposit-batch-validation-errorsDescription: Retrieve a list of bank billet deposit batch validation errors. Use optional filter parameters to refine your search./v1/banking/billet-pix-deposit-batches/:id/validation-errors
Request
Path Parameters
Bank billet deposit ID
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [error_line]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Error line.
Error field.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
The validation errors returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Validation error data.
Validation error ID.
Bank billet deposit batch ID.
Error line.
Error field.
Invalid data sent.
Creation date.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"banking_billet_pix_deposit_batch_id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"error_line": 10,
"error_field": "due_date",
"data": "2025/10/22",
"created_at": "2026-03-26T14:02:58.322Z"
}
]
}
If any required params are missing or has invalid format or type.